Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.mom.xml
Interface PersistentDefinition

All Known Subinterfaces:
  DefPersistable

public interface PersistentDefinition

Method Summary
`java.lang.String` | `getXMLElementTag()` Returns a piece of static info for the type of object this is invoked upon.
`void` | `writeChildren(DefWriter jos)` Writes the Object's children to the Persistent storage
`void` | `writeContents(DefWriter jos)` Objects should write their persistence output in this method
`void` | `writeObject(DefWriter jos)` Objects should write their persistence output in this method

Method Detail

### writeObject

    public void writeObject(DefWriter jos)
                     throws DefPersistenceException

  Objects should write their persistence output in this method
  Parameters:
    `jos` - the Output storage for persistence
  Throws:
    `DefPersistenceException`

### writeContents

    public void writeContents(DefWriter jos)
                       throws DefPersistenceException

  Objects should write their persistence output in this method
  Parameters:
    `jos` - the Output storage for persistence
  Throws:
    `java.lang.Error` - in writing the Object's contents to Persistent Storage
    `DefPersistenceException`

### writeChildren

    public void writeChildren(DefWriter jos)
                       throws DefPersistenceException

  Writes the Object's children to the Persistent storage
  Parameters:
    `jos` - the Output storage for persistence
  Throws:
    `java.lang.Error` - in writing the Object's Children to the storage
    `DefPersistenceException`

### getXMLElementTag

    public java.lang.String getXMLElementTag()

  Returns a piece of static info for the type of object this is invoked upon. Examples are PreparedStatements for insert, update, delete, and String containing a base the select statement for retrieving instances of this type through the SQLInputStream
  Returns:
    returns the Statement required to store in Persitent Storage. Incase of XML, it just returns the String. In the case of SQL a JDBC PreparedStatement is returned.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.